/*
 * kmerlin.s
 * Ccopyright (c) 2003-2004, deitest@hotmail.com, yanmar@ogonigo.com
 * 
 *kmerlin.s is based on  kmerlin ver1.41. olueg@olsd.de
 *Fixed by deitest@hotmail.com, yanmar@ogonigo.com 2003-2004
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef CHATVIEW_H
#define CHATVIEW_H

#include <qvariant.h>
#include <qwidget.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QLabel;
class QPushButton;
class QTextBrowser;
class kmsMultiLineEdit;
class KMerlinApp;
class chatview : public QWidget
{ 
    Q_OBJECT

public:
    chatview( QWidget* parent = 0, const char* name = 0, QString _infoFontSize = "12", QString _menuFontSize = "10" , WFlags fl = 0);
    ~chatview();

	QString m_infoFontSize;
	QString m_menuFontSize;
    QLabel* infoText;
    QPushButton* menuBtn;
    QTextBrowser* TextBrowser;
    kmsMultiLineEdit* strSend;
    QComboBox* cmbPix;
    QPushButton* SendButton;
	KMerlinApp *theApp;

public slots:
    virtual void slotShowMenu();
    virtual void sendText();
    virtual void slotMailClicked(const QString&,const QString&);
    virtual void slotTextChanged();
    virtual void slotUrlClicked(const QString&);

protected slots:
    virtual void slotCloseTab();

protected:
    QVBoxLayout* ChatViewLayout;
    QVBoxLayout* mainLayout;
    QHBoxLayout* Layout5;
    QHBoxLayout* Layout5_2;
    QGridLayout* Layout4;
    bool event( QEvent* );
};

#endif // CHATVIEW_H
