/*
 * kmerlin.s
 * Ccopyright (c) 2003-2004, deitest@hotmail.com, yanmar@ogonigo.com
 * 
 *kmerlin.s is based on  kmerlin ver1.41. olueg@olsd.de
 *Fixed by deitest@hotmail.com, yanmar@ogonigo.com 2003-2004
 */
/***************************************************************************
                          chatviewimpl.h  -  description
                             -------------------
    begin                : Wed Jul 4 2001
    copyright            : (C) 2001 by olaf lueg
    email                : olaf.lueg@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHATVIEWIMPL_H
#define CHATVIEWIMPL_H

#include <qwidget.h>
#include <qstring.h>
#include "chatview.h"
#include <qlayout.h>
/**
  *@author olaf lueg
  */
class KMerlinApp;
class ChatWindow;

class ChatViewImpl : public chatview  {
   Q_OBJECT
public: 
	ChatViewImpl(QWidget *parent=0, const char *name=0, QString _infoFontSize ="12",QString _menuFontSize = "10");
	~ChatViewImpl();
	// smileys
	QString		strSmilie[78];
	QString		strkong;

	bool viewSmileys,textChanged;
	QString fontName,fontSize,fontCol1,fontCol2,fontCol3,fontCol4,myName;
//	KMerlinApp *theApp;
	ChatWindow *theWnd;

private:
    bool fnPress;

public: // funktions
  /** No descriptions */
  void insertMessage(QString publicName, QString message);
  /** No descriptions */
  void slotTextChanged();
  /** No descriptions */
  void systemMessage(QString message);
  void sendText();
//  void setSettings(QString fName, QString fSize, QString fCol1, QString fCol2, QString fCol3, QString fCol4,QString mName){ fontName = fName; fontSize = fSize; fontCol1 = fCol1; fontCol2 = fCol2; fontCol3 = fCol3; fontCol4 = fCol4; myName = QString::fromUtf8(mName); };


private:
  void key(QString s);
  QString htmlParser(QString message);
  QString urlParser(QString message,QString tag);
  /** No descriptions */
  QString smileyParser(QString message);
  /** No descriptions */
  void loadSmileys();
  void saveLog(QString name, QString msg);
  void slotTabChange(int direction);


signals: // Signals
  /** No descriptions */
  void sendMsg(QString);
  void writeMessage();
  void closeTab();
  void showMenu();
  void tabRefresh();

public slots:

  /** No descriptions */
  void slotUrlClicked(const QString& url);
  void keypressed(QKeyEvent *);
  void keyreleased(QKeyEvent *);
  void slotsendIcon(const QString &);

protected slots:
    virtual void slotCloseTab();
    virtual void slotShowMenu();

};

#endif
