/*
 * kmerlin.s
 * Ccopyright (c) 2003-2004, deitest@hotmail.com, yanmar@ogonigo.com
 * 
 *kmerlin.s is based on  kmerlin ver1.41. olueg@olsd.de
 *Fixed by deitest@hotmail.com, yanmar@ogonigo.com 2003-2004
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qmultilineedit.h>

class kmsMultiLineEdit : public QMultiLineEdit
{
    Q_OBJECT
	    
    public:
        kmsMultiLineEdit(QWidget* parent = 0, const char* name = 0);
        ~kmsMultiLineEdit();
        void cursorL(bool mark = false) { cursorLeft(mark);  }
        void cursorR(bool mark = false) { cursorRight(mark); }
        void cursorU(bool mark = false) { cursorUp(mark);    }
        void cursorD(bool mark = false) { cursorDown(mark);  }
        void cursorHome(bool mark = false) { home(mark);  }
        void cursorEnd(bool mark = false) { end(mark);  }
        void bs() { backspace(); }
        void nl() { newLine();   }
        void dl() { del();       }
	void insert(const QString&);

    protected:
        void keyPressEvent(QKeyEvent *key) { emit keyPress(key); }
		void keyReleaseEvent(QKeyEvent *key) { emit keyRelease(key); }
		void focusInEvent (QFocusEvent *fe) {
			QMultiLineEdit::focusInEvent(fe);
			emit getFocus();
		}
    signals:
        void keyPress(QKeyEvent *key);
        void keyRelease(QKeyEvent *key);
        void getFocus();

};
