/*
 * kmerlin.s
 * Ccopyright (c) 2003-2004, deitest@hotmail.com, yanmar@ogonigo.com
 * 
 *kmerlin.s is based on  kmerlin ver1.41. olueg@olsd.de
 *Fixed by deitest@hotmail.com, yanmar@ogonigo.com 2003-2004
 */
/****************************************************************************
** Form implementation generated from reading ui file 'logview.ui'
**
** Created: Sun Jul 20 21:43:00 2003
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "logview.h"

#include "kmsMultiLineEdit.h"
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>
#include "kmerlin.h"

static const char* const image0_data[] = { 
"12 6 2 1",
"# c None",
". c #000000",
"............",
"#..........#",
"##........##",
"###......###",
"####....####",
"#####..#####"};


/* 
 *  Constructs a logview which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
logview::logview( QWidget* parent,  const char* name, QString _infoFontSize, QString _menuFontSize,WFlags fl )
    : QWidget( parent, name, fl )
{
	m_infoFontSize = _infoFontSize;
	m_menuFontSize = _menuFontSize;

//	m_infoFontSize = "12";
//	m_menuFontSize = "10";

    QPixmap image0( ( const char** ) image0_data );
    if ( !name )
	setName( "LogView" );
    resize( 304, 400 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 50, 50 ) );
    setMaximumSize( QSize( 1600, 1600 ) );
    setBaseSize( QSize( 320, 430 ) );
    setCaption( tr( "Log Window" ) );
    setAutoMask( TRUE );
    LogViewLayout = new QGridLayout( this ); 
    LogViewLayout->setSpacing( 0 );
    LogViewLayout->setMargin( 0 );

    mainLayout = new QVBoxLayout; 
    mainLayout->setSpacing( 0 );
    mainLayout->setMargin( 0 );

    Layout5 = new QHBoxLayout; 
    Layout5->setSpacing( 0 );
    Layout5->setMargin( 0 );

    infoText = new QLabel( this, "infoText" );
    infoText->setMinimumSize( QSize( 50, 25 ) );
    infoText->setMaximumSize( QSize( 32767, 25 ) );
    QFont infoText_font(  infoText->font() );
	bool ok;
    infoText_font.setPointSize( (m_infoFontSize).toInt(&ok,10) );
    infoText_font.setBold( TRUE );
    infoText->setFont( infoText_font ); 
    infoText->setBackgroundOrigin( QLabel::WidgetOrigin );
    infoText->setFrameShadow( QLabel::Plain );
    infoText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );
    Layout5->addWidget( infoText );

    menuBtn = new QPushButton( this, "menuBtn" );
    menuBtn->setMinimumSize( QSize( 25, 25 ) );
    menuBtn->setMaximumSize( QSize( 25, 25 ) );
    QFont menuBtn_font(  menuBtn->font() );
	menuBtn_font.setPointSize( (m_menuFontSize).toInt(&ok,10) );
    menuBtn_font.setBold( TRUE );
    menuBtn->setFont( menuBtn_font ); 
    menuBtn->setText( tr( "" ) );
    menuBtn->setPixmap( image0 );
    menuBtn->setFlat( FALSE );
    Layout5->addWidget( menuBtn );
    mainLayout->addLayout( Layout5 );

    logView = new kmsMultiLineEdit( this, "logView" );
    logView->resize( 213, 319 ); 
    logView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, logView->sizePolicy().hasHeightForWidth() ) );


    logView->setMinimumSize( QSize( 50, 50 ) );
    logView->setMaximumSize( QSize( 1600, 1600 ) );
    logView->setBaseSize( QSize( 320, 430 ) );



    logView->setFocusPolicy( kmsMultiLineEdit::StrongFocus );
    mainLayout->addWidget( logView );

    LogViewLayout->addLayout( mainLayout, 0, 0 );

    // signals and slots connections
    connect( menuBtn, SIGNAL( clicked() ), this, SLOT( slotShowMenu() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
logview::~logview()
{
    // no need to delete child widgets, Qt does it all for us
}

/*  
 *  Main event handler. Reimplemented to handle application
 *  font changes
 */
void logview::setMaxLayout(QRect qr){
	logView->setMaximumSize(qr.width(),qr.height() - 25);
    logView->resize(qr.width(),qr.height() - 25);
    resize(qr.width(),qr.height());
}
bool logview::event( QEvent* ev )
{
    bool ret = QWidget::event( ev ); 
    if ( ev->type() == QEvent::ApplicationFontChange ) {
	bool ok;
	QFont infoText_font(  infoText->font() );
	infoText_font.setPointSize( (m_infoFontSize).toInt(&ok,10)  );
	infoText_font.setBold( TRUE );
	infoText->setFont( infoText_font ); 
	QFont menuBtn_font(  menuBtn->font() );
	menuBtn_font.setPointSize( (m_menuFontSize).toInt(&ok,10) );
	menuBtn_font.setBold( TRUE );
	menuBtn->setFont( menuBtn_font ); 
    }
    return ret;
}

void logview::slotShowMenu()
{
    qWarning( "logview::slotShowMenu(): Not implemented yet!" );
}

void logview::slotCloseTab()
{
    qWarning( "logview::slotCloseTab(): Not implemented yet!" );
}

