/*
 * kmerlin.s
 * Ccopyright (c) 2003-2004, deitest@hotmail.com, yanmar@ogonigo.com
 * 
 *kmerlin.s is based on  kmerlin ver1.41. olueg@olsd.de
 *Fixed by deitest@hotmail.com, yanmar@ogonigo.com 2003-2004
 */
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef LOGVIEWIMPL_H
#define LOGVIEWIMPL_H
#include "logview.h"
#include <qaction.h>
#include <qpopupmenu.h>
#include <qaccel.h>

class KMerlinApp;

class logviewimpl : public logview
{ 
    Q_OBJECT

public:
    logviewimpl( QWidget* parent = 0, const char* name = 0, QString _infoFontSize = "12", QString _menuFontSize = "10", WFlags fl = 0 );
    ~logviewimpl();

//	KMerlinApp *theApp;
	QString chatWith;

	void init();
	void loadLog();

private:
	bool fnPress;

   	QPopupMenu *popMenu;
	QAction *editCopy;
	QAction *logDelete;
	QAction *logClose;
  void slotTabChange(int direction);

public slots:
    void slotShowMenu();
	void keypressed(QKeyEvent *);
	void keyreleased(QKeyEvent *);

    void slotCloseTab();
	void slotLogClose();
	void slotLogDelete();

	void slotEditCopy();

	void slotRePaint();


protected slots:

signals:
	void closeTab();
	void showMenu();

};

#endif // LOGVIEWIMPL_H
