#include <stdio.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <sys/socket.h>
#include <net/if.h>

#include <qpe/qcopenvelope_qws.h>

class HQPppEnv : public QObject {
	Q_OBJECT
	public:
		HQPppEnv(const QString qstName, const QString qstMsg, QObject* qoParent, const char* cpName = 0);
		~HQPppEnv();
		
		void connectPPP();
		void disconnectPPP();
		
		int IsConnecting();
		
	private:
		QString		qstAppname;
		QString		qstMessage;
		
		QCopChannel*	qcpNetChannel;
		
	signals:
		void netConnectingSignal();
		
	private slots:
		void netMessageRecvSlot(const QCString &qstMsg, const QByteArray &qbaBArray);
};
