/*
 * kmerlin.s
 * Ccopyright (c) 2003-2004, deitest@hotmail.com, yanmar@ogonigo.com
 * 
 *kmerlin.s is based on  kmerlin ver1.41. olueg@olsd.de
 *Fixed by deitest@hotmail.com, yanmar@ogonigo.com 2003-2004
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef LOGVIEW_H
#define LOGVIEW_H

#include <qvariant.h>
#include <qwidget.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QPushButton;
class kmsMultiLineEdit;
class KMerlinApp;

class logview : public QWidget
{ 
    Q_OBJECT

public:
    logview( QWidget* parent = 0, const char* name = 0, QString _infoFontSize = "12", QString _menuFontSize = "10",WFlags fl = 0 );
    ~logview();

	void setMaxLayout(QRect qr);

    QLabel* infoText;
    QPushButton* menuBtn;
    kmsMultiLineEdit* logView;
	KMerlinApp *theApp;
	QString m_infoFontSize;
	QString m_menuFontSize;

public slots:
    virtual void slotShowMenu();

protected slots:
    virtual void slotCloseTab();

protected:
    QGridLayout* LogViewLayout;
    QVBoxLayout* mainLayout;
    QHBoxLayout* Layout5;
    bool event( QEvent* );
};

#endif // LOGVIEW_H
